<?php

// bgallz.org - Web coding & design tutorials, scripts, resources and more.
// favicon Generator Script

function generate_favicon(){
	// Create favicon.
	$postvars = array("image" => trim($_FILES['image']['name']),
	"image_tmp"		=> $_FILES['image']['tmp_name'],
	"image_size"	=> (int)$FILES['image']['size'],
	"image_dimensions"	=> (int)$_POST['image_dimensions']);
	$valid_exts = array("jpg","jpeg","gif","png");
	$ext = end(explode(".",strtolower(trim($_FILES['image']['name']))));
	// Check not larger than 175kb.
	if($postvars['image_size'] <= 179200){
		// Check is valid extension.
		if(in_array($ext,$valid_exts)){
			if($ext == "jpg" || $ext == "jpeg"){
				$image = imagecreatefromjpeg($postvars['image_tmp']);
			}
			else if($ext == "gif"){
				$image = imagecreatefromgif($postvars['image_tmp']);
			}
			else if($ext == "png"){
				$image = imagecreatefrompng($postvars['image_tmp']);
			}
			list($width,$height) = getimagesize($postvars['image_tmp']);
			$newwidth = $postvars['image_dimensions'];
			$newheight = $postvars['image_dimensions'];
			$tmp = imagecreatetruecolor($newwidth,$newheight);
					
			// Copy the image to one with the new width and height.
			imagecopyresampled($tmp,$image,0,0,0,0,$newwidth,$newheight,$width,$height);
			
			$rand = rand(1000,9999);		
			$filename = "./favicon/".$rand.$postvars['image'];
			// Create image file with 100% quality.
			imagejpeg($tmp,$filename,100);
					
			// Image created, now rename it to its
			$ext_pos = strpos($postvars['image'],"." . $ext);
			$strip_ext = substr($postvars['image'],0,$ext_pos);
			// Rename image to .ico file
			rename($filename,"./favicon/".$strip_ext.".ico");
			return '<strong>Icon Preview:</strong><br/>
			<img src="./favicon/'.$strip_ext.'.ico" border="0" title="Favicon  Image Preview" style="padding: 4px 0px 4px 0px;background-color:#e0e0e0" /><br/>
			Favicon successfully generated. <a href="./favicon/'.$strip_ext.'.ico" target="_blank" name="Download favicon.ico now!">Click here to download your favicon.</a>';
			
			imagedestroy($image);
			imagedestroy($tmp);
		} else {
			return "File size too large. Max allowed file size is 175kb.";	
		}
	} else {
		return "Invalid file type. You must upload an image file. (jpg, jpeg, gif, png).";	
	}
}

define("script","index",true);

if(isset($_GET['do'])){
	if($_GET['do'] == "create"){
		if(isset($_POST['submit'])){
			$generate_favicon = "<p>".generate_favicon()."</p>";
		} else {
			$generate_favicon = "";	
		}
	}
}

?>

<html>
<head>
<meta name="description" http-equiv="description" content="Free file hosting, upload files, download files, upload and save your files!" />
<meta http-equiv="keywords" name="keywords" content="file hosting
hosting
upload
upload files" />
<title>Free Favicon Generator Script | bgallz.org</title>
<link href="./style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<iframe src="../index.php" width="100%" height="234" frameborder="0" scrolling="no" title="bgallz.org">
  <p>Your browser does not support iframes.</p>
</iframe>
<center>
<div class="page">
	<table width="100%" align="center" border="0" cellpadding="0" cellspacing="0">
    	<tr>
        	<td align="left" width="18" class="left">&nbsp;</td>
            <td align="left" class="top">&nbsp;</td>
            <td align="left" width="18" class="right">&nbsp;</td>
        </tr>
    	<tr>
        	<td align="left" width="18" class="left_y">&nbsp;</td>
            <td align="left" class="center">
            <p>Here you can create your favicon's free with this easy to use generator. Just select the image you want to be converted into an <em>.ico</em> and hit submit.<br/><br/>
            <table width="100%" align="center" border="0" cellpadding="0" cellspacing="0">
            <tr>
            <td align="left" width="55%">
            <p><strong>Use the form below to generate your favicon:</strong></p>
            <p>
            <form action="index.php?do=create" method="post" enctype="multipart/form-data">
            Image Dimensions: <select name="image_dimensions" style="width: 170px">
            	<option value="16">16px &nbsp;x&nbsp; 16px</option>
                <option value="32">32px &nbsp;x&nbsp; 32px</option>
                </select><br/><br/>
            <span style="font-size: 14pt">Favicon Image:</span><br/>
            <input type="file" name="image" size="40" /><br/><br/>
            <input type="submit" name="submit" value="Submit!" style="font: 14pt verdana" />
            </form>
            <br/>
            <ul style="margin:0px 0px 0px 5px; padding:0px 0px 0px 15px">
            	<li>Supported file types: <em>gif</em>, <em>jpg</em>, <em>png</em>.</li>
                <li>Maximum file size: 175KB.</li>
            </ul>
            </td>
            <td align="left" width="45%" valign="middle">
            <div class="ads" align="center">
            <p align="center">
<script type="text/javascript"><!--
google_ad_client = "pub-6538747566044536";
/* bgallz.org myblog sidebar */
google_ad_slot = "0771852437";
google_ad_width = 300;
google_ad_height = 260;
//-->
</script>
<script type="text/javascript"
src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script></p>
			</div>
            </td>
            </tr>
            </table>
            </p>
            <?=$generate_favicon;?>
            <p>
            <strong>Don't Forget!</strong>
            <br/><br/>
            Although most browsers support the use of favicons apon upload, you should always add the proper head tags to your html pages that use the icon for complete support to all browsers and assurance.<br/><br/>
            Include the following code in your HTML head tags after uploading it:<br/><br/>
            <div class="code">
            &lt;link rel=&quot;shortcut icon&quot; type=&quot;image/x-icon&quot; href=&quot;./favicon.ico&quot;&gt;
            </div>
            <p><strong>Finished!</strong></p>
            </td>
            <td align="left" width="18" class="right_y">&nbsp;</td>
        </tr>
        <tr>
        	<td align="left" width="18" class="bottom_left">&nbsp;</td>
            <td align="left" class="bottom">&nbsp;</td>
            <td align="left" width="18" class="bottom_right">&nbsp;</td>
        </tr>
   </table>
</div>
</center>
</body>
</html>